<?php
/**
 * @package Grace Mag Pro
 * Setup the WordPress core custom functions feature.
 *
*/

add_action('grace_mag_pro_optionsframework_custom_scripts', 'grace_mag_pro_optionsframework_custom_scripts');
function grace_mag_pro_optionsframework_custom_scripts() { ?>
	<script type="text/javascript">
    jQuery(document).ready(function() {
    
        jQuery('#example_showhidden').click(function() {
            jQuery('#section-example_text_hidden').fadeToggle(400);
        });
        
        if (jQuery('#example_showhidden:checked').val() !== undefined) {
            jQuery('#section-example_text_hidden').show();
        }
        
    });
    </script><?php    
}  

// get_the_content format text
function get_the_content_format( $str ){
	$raw_content = apply_filters( 'the_content', $str );
	$content = str_replace( ']]>', ']]&gt;', $raw_content );
	return $content;
}
// the_content format text
function the_content_format( $str ){
	echo get_the_content_format( $str );
}

function is_google_font( $font ){
	$notGoogleFont = array( 'Arial', 'Comic Sans MS', 'FreeSans', 'Georgia', 'Lucida Sans Unicode', 'Palatino Linotype', 'Symbol', 'Tahoma', 'Trebuchet MS', 'Verdana' );
	if( in_array($font, $notGoogleFont) ){
		return false;
	}else{
		return true;
	}
}

// subhead section function
function sub_head_section( $more ) {
	$pgs = 0;
	do {
		$pgs++;
	} while ($more > $pgs);
	return $pgs;
}

//[clear]
function clear_func() {
	$clr = '<div class="clear"></div>';
	return $clr;
}
add_shortcode( 'clear', 'clear_func' );


//[column_content]Your content here...[/column_content]
function column_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'type' => '',	
	), $atts ) );
	$colPos = strpos($type, '_last');
	if($colPos === false){
		$cnt = '<div class="'.$type.'">'.do_shortcode($content).'</div>';
	}else{
		$type = substr($type,0,$colPos);
		$cnt = '<div class="'.$type.' last_column">'.do_shortcode($content).'</div>';
	}
	return $cnt;
}
add_shortcode( 'column_content', 'column_content_func' );


//[hr]
function hrule_func() {
	$hrule = '<div class="hr"></div>';
	return $hrule;
}
add_shortcode( 'hr', 'hrule_func' );

//[hr_top]
function back_to_top_func() {
	$back_top = '<div id="back-top">
		<a title="Top of Page" href="#top"><span></span></a>
	</div>';
	return $back_top;
}
add_shortcode( 'back-to-top', 'back_to_top_func' );


// [searchform]
function searchform_shortcode_func( $atts ){
	return get_search_form( false );
}
add_shortcode( 'searchform', 'searchform_shortcode_func' );

// accordion
function accordion_func( $atts, $content = null ) {
	$acc = '<div style="margin-top:10px;">'.get_the_content_format( do_shortcode($content) ).'<div class="clear"></div></div>';
	return $acc;
}
add_shortcode( 'accordion', 'accordion_func' );
function accordion_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Accordion Title',
	), $atts ) );
	$content = wpautop(trim($content));
	$acn = '<div class="accordion-box"><h2>'.$title.'</h2>
			<div class="acc-content">'.$content.'</div><div class="clear"></div></div>';
	return $acn;
}
add_shortcode( 'accordion_content', 'accordion_content_func' );


// remove excerpt more
function new_excerpt_more( $more ) {
	return '... ';
}
add_filter('excerpt_more', 'new_excerpt_more');

// get post categories function
function getPostCategories(){
	$categories = get_the_category();
	$catOut = '';
	$separator = ', ';
	$catOutput = '';
	if($categories){
		foreach($categories as $category) {
			$catOutput .= '<a href="'.get_category_link( $category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s", 'grace-mag-pro' ), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
		}
		$catOut = ''.trim($catOutput, $separator);
	}
	return $catOut;
}

// replace last occurance of a string.
function str_lreplace($search, $replace, $subject){
	$pos = strrpos($subject, $search);
	if($pos !== false){
		$subject = substr_replace($subject, $replace, $pos, strlen($search));
	}
	return $subject;
}

// Social Icon Shortcodes
function grace_mag_pro_social_area($atts,$content = null){
  return '<div class="social-icons">'.do_shortcode($content).'</div>';
 }
add_shortcode('social_area','grace_mag_pro_social_area');

function grace_mag_pro_social($atts){
 extract(shortcode_atts(array(
  'icon' => '',
  'link' => ''
 ),$atts));
  return '<a href="'.$link.'" target="_blank" class="'.$icon.'" title="'.$icon.'"></a>';
 }
add_shortcode('social','grace_mag_pro_social');

function contactform_func( $atts ) {
    $atts = shortcode_atts( array(
        'to_email' => get_bloginfo('admin_email'),
		'title' => 'Contact enquiry - '.home_url( '/' ),
    ), $atts );

	$cform = "<div class=\"main-form-area\" id=\"contactform_main\">";

	$cerr = array();
	if( isset($_POST['c_submit']) && $_POST['c_submit']=='Submit' ){
		$name 			= trim( $_POST['c_name'] );
		$email 			= trim( $_POST['c_email'] );
		$phone 			= trim( $_POST['c_phone'] );		
		$comments 		= trim( $_POST['c_comments'] );
		$captcha 		= trim( $_POST['c_captcha'] );
		$captcha_cnf	= trim( $_POST['c_captcha_confirm'] );

		if( !$name )
			$cerr['name'] = 'Please enter your name.';
		if( ! filter_var($email, FILTER_VALIDATE_EMAIL) ) 
			$cerr['email'] = 'Please enter a valid email.';
		if( !$phone )
			$cerr['phone'] = 'Please enter your phone number.';
		if( !$comments )
			$cerr['comments'] = 'Please enter your message.';
		if( !$captcha || (md5($captcha) != $captcha_cnf) )
			$cerr['captcha'] = 'Please enter the correct answer.';

		if( count($cerr) == 0 ){
			$subject = $atts['title'];
			$headers = "From: ".$name." <" . strip_tags($email) . ">\r\n";
			$headers .= "MIME-Version: 1.0\r\n";
			$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";

			$message = '<html><body>
							<table>
								<tr><td>Name: </td><td>'.$name.'</td></tr>
								<tr><td>Email: </td><td>'.$email.'</td></tr>
								<tr><td>Phone: </td><td>'.$phone.'</td></tr>								
								<tr><td>Message: </td><td>'.$comments.'</td></tr>
							</table>
						</body>
					</html>';
			mail( $atts['to_email'], $subject, $message, $headers);
			$cform .= '<div class="success_msg">Thank you! A representative will get back to you very shortly.</div>';
			unset( $name, $email, $phone, $comments, $captcha );
		}else{
			$cform .= '<div class="error_msg">';
			$cform .= implode('<br />',$cerr);
			$cform .= '</div>';
		}
	}

	$capNum1 	= rand(1,4);
	$capNum2 	= rand(1,5);
	$capSum		= $capNum1 + $capNum2;
	$sumStr		= $capNum1." + ".$capNum2 ." = ";

	$cform .= "<form name=\"contactform\" action=\"#contactform_main\" method=\"post\">
			<p><input type=\"text\" name=\"c_name\" value=\"". ( ( empty($name) == false ) ? $name : "" ) ."\" placeholder=\"Name\" /></p>
			<p><input type=\"email\" name=\"c_email\" value=\"". ( ( empty($email) == false ) ? $email : "" ) ."\" placeholder=\"Email\" /></p>
			<p><input type=\"tel\" name=\"c_phone\" value=\"". ( ( empty($phone) == false ) ? $phone : "" ) ."\" placeholder=\"Phone\" /></p>			
			<p><textarea name=\"c_comments\" placeholder=\"Message\">". ( ( empty($comments) == false ) ? $comments : "" ) ."</textarea></p>";
	$cform .= "<p class=\"cptcode\"><span class=\"capcode\">$sumStr</span></p><p><input type=\"text\" placeholder=\"Captcha\" value=\"". ( ( empty($captcha) == false ) ? $captcha : "" ) ."\" name=\"c_captcha\" /><input type=\"hidden\" name=\"c_captcha_confirm\" value=\"". md5($capSum)."\"></p>";
	$cform .= "<p><input type=\"submit\" name=\"c_submit\" value=\"Submit\" class=\"search-submit\" /></p>
		</form>
	</div>";

    return $cform;
}
add_shortcode( 'contactform', 'contactform_func' );


//[post-filter-gallery filter="false" show="8"]
function photogallery_shortcode_func( $atts ) {
	extract( shortcode_atts( array(
		'show' => -1,
		'filter' => 'true'
	), $atts ) );
	$pfStr = '';

	$pfStr .= '<div class="photobooth">';
	if( $filter == 'true' ){
		$pfStr .= '<ul class="portfoliofilter clearfix"><li><a class="selected" data-filter="*" href="#">'.of_get_option('galleryshowallbtn').'</a><span></span></li>';
		$categories = get_categories( array('taxonomy' => 'category') );
		foreach ($categories as $category) {
			$pfStr .= '<li><a data-filter=".'.$category->slug.'" href="#">'.$category->name.'</a></li>';
		}
		$pfStr .= '</ul>';
	}

	$pfStr .= '<div class="row threecol portfoliowrap"><div class="portfolio">';
	$j=0;
	query_posts('post_type=post&posts_per_page='.$show); 
	if ( have_posts() ) : while ( have_posts() ) : the_post(); 
	$j++;
		
		$imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
		$terms = wp_get_post_terms( get_the_ID(), 'category', array("fields" => "all"));
		$slugAr = array();
		foreach( $terms as $tv ){
			$slugAr[] = $tv->slug;
		}
		if ( $imgSrc[0]!='' ) {
			$imgUrl = $imgSrc[0];
		}else{
			$imgUrl = get_template_directory_uri().'/images/img_404.png';
		}
		$pfStr .= '<div class="entry '.implode(' ', $slugAr).'">
						<div class="postfilterbx">
							 <div class="postimagesbox"><img src="'.$imgSrc[0].'"/></div>
							  <div class="filter-content">
							    <h6 class="filter-list-title"><a href="'.get_the_permalink().'" >'.get_the_title().'</a></h6>
							    <span class="spanrightleftclear">'.getPostCategories().' / '.get_the_date().'</span>	
							  </div>							 			
						</div>
					</div>';
		unset( $slugAr );
	endwhile; else: 
		$pfStr .= '<p>Sorry, post filter gallery is empty.</p>';
	endif; 
	wp_reset_query();
	$pfStr .= '</div></div>';
	$pfStr .= '</div>';
	return $pfStr;
}
add_shortcode( 'post-filter-gallery', 'photogallery_shortcode_func' );

/*toggle function*/
function toggle_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Click here to toggle content',
	), $atts ) );
	$tog_content = "<div class=\"toggle_holder\"><h3 class=\"slide_toggle\"><a href=\"#\">{$title}</a></h3>
					<div class=\"slide_toggle_content\">".get_the_content_format( $content )."</div></div>";

	return $tog_content;
}
add_shortcode( 'toggle_content', 'toggle_func' );

function tabs_func( $atts, $content = null ) {
	$tabs = '<div class="tabs-wrapper"><ul class="tabs">'.do_shortcode($content).'</ul></div>';
	return $tabs;
}
add_shortcode( 'tabs', 'tabs_func' );

function tab_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Tab Title',
	), $atts ) );
	$rand = rand(100,999);
	$tab = '<li><a rel="tab'.$rand.'" href="javascript:void(0)">'.$title.'</a><div id="tab'.$rand.'" class="tab-content">'.get_the_content_format($content).'</div></li>';
	return $tab;
}
add_shortcode( 'tab', 'tab_func' );

// Button Shortcode
// [button name="" align="" link="" target="_self"]
function readmorebtn_fun($atts){
	extract(shortcode_atts(array(
	'name'	=> '',
	'align'	=> '',
	'link'	=> '#',
	'target'=> '',
	), $atts));
	return '<div class="custombtn" style="text-align:'.$align.'">	
	   <a class="morebutton" href="'.$link.'" target"'.$target.'">'.$name.'</a>	   	   
	</div>';
	}
add_shortcode('button','readmorebtn_fun');

// Button Shortcode
function readmorebtn_style2_fun($atts){
	extract(shortcode_atts(array(
	'name'	=> '',
	'align'	=> '',
	'link'	=> '#',
	'target'=> '',	
	), $atts));
	return '<div class="custombtn" style="text-align:'.$align.'">	
	   <a class="buttonstyle1" href="'.$link.'" target"'.$target.'">'.$name.'</a>	   	   
	</div>';
	}
add_shortcode('buttonstyle2','readmorebtn_style2_fun');

// space Shortcode
// [space height="20px"]
function space_fun($atts){
	extract(shortcode_atts(array(
	'height'	=> '',	
	), $atts));
	return '<div class="space" style="height:'.$height.'"></div>';
	}
add_shortcode('space','space_fun');

// space Shortcode
function subtitle_fun($atts){
	extract(shortcode_atts(array(
	'size'	=> '',
	'color'	=> '',
	'margin'	=> '',
	'description'	=> '',
	), $atts));
	return '<div class="subtitle" style="font-size:'.$size.'; color:'.$color.'; margin:'.$margin.';">'.$description.'</div>';
	}
add_shortcode('subtitle','subtitle_fun');


// Latest Post
function latestpostsoutput_func( $atts ){
   extract( shortcode_atts( array(
		'show' => '',
		'excerptlength' => '',
		'readmore' => '',
		'catname' => '',
	), $atts ) );
	$postoutput = '';
	$postoutput .= '<div class="latestnews">';
	wp_reset_query();
	$n = 0;
	query_posts(  array( 'category_name' => $catname, 'posts_per_page'=>$show, 'post__not_in' => get_option('sticky_posts') )  );
	if ( have_posts() ) :
		while ( have_posts() ) : the_post();
			$n++;
			if( $n%3==0 )  $nomgn = 'nomargin';	else $nomgn = ' ';
			$categories = get_the_category();
			if ( has_post_thumbnail()) {
				$large_imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');
				$imgUrl = $large_imgSrc[0];
			}else{
				$imgUrl = get_template_directory_uri().'/images/img_404.png';
			}
			$postoutput .= ''.(($n%3==1) ? '<div class="post-row">' : '');	
			$postoutput .= '
			<div class="news-box '.$nomgn.'">
					<div class="news-thumb">
						<a href="'.get_the_permalink().'"><img src="'.$imgUrl.'" alt="" /></a>
					</div>
					<div class="news"><div class="newscontent">
						
						<a href="'.get_the_permalink().'"><h4>'.get_the_title().'</h4></a>
						<span class="post-cate"> '.get_the_date().'</span>
						<span class="spanright"> <a href="'.get_comments_link().'">'.get_comments_number().' Comments</a></span>
						<p>'.wp_trim_words( get_the_content(), $excerptlength ).'</p>
						
						<a class="read-more" href="'.get_the_permalink().'">'.$readmore.'</a>
						</div>
						
		 			</div>
			</div>';	
			$postoutput .= ''.(($n%3==0) ? '<div class="clear"></div></div>' : '');	
		endwhile;
	endif;
	$postoutput .= '</div>';
	wp_reset_query();
	return $postoutput;
}
add_shortcode( 'latest-news', 'latestpostsoutput_func' );

/*Clients Logo function*/
function grace_mag_pro_client_logos($atts, $content = null){
	return '<ul id="ourclient">'.do_shortcode($content).'</ul>';
	}
add_shortcode('client_lists','grace_mag_pro_client_logos');

function grace_mag_pro_client($atts){
	extract(shortcode_atts(array(
	'image'	=> '',	
	'link'	=> '#'	
	), $atts));
	return '<li><a href="'.$link.'" target="_blank"><img src="'.$image.'" /></a></li>';
	}
add_shortcode('client','grace_mag_pro_client');
   
define('GRACE_THEME_DOC','https://gracethemes.com/demo/documentation/gracemag-doc/');
 
// [postslider catname="Fashion" showposts="1"]
function postslider_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',	
	), $atts ) );
	$bposts2 = '';		
	$bposts2 = '<div class="catslider">';	
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );	
	if ( have_posts() ) {
		while ( have_posts() ) { 
			the_post();
			$bposts2 .= '<div class="item">';
			if ( has_post_thumbnail()) {
				$bposts2 .= '<a href="'.get_the_permalink().'">'.get_the_post_thumbnail().'</a>';
			}else{
			 $bposts2 .= '<a href="'.get_the_permalink().'"><img src="'.get_template_directory_uri().'/images/img_404.png'.'"></a>';
			}
			$bposts2 .= '<span class="catnamebox">'.getPostCategories().'</span><div class="slide-caption"><a href="'.get_the_permalink().'"><h2>'.get_the_title().'</h2></a></div>';			
			$bposts2 .= '</div>';
 		}
	}else{
		$bposts2 .= 'This Category Post Is empty';
	}
	$bposts2 .= '</div>';
	wp_reset_query();
    return $bposts2;
}
add_shortcode( 'postslider', 'postslider_func' );
//Single Larg Full Post End


// [postlayout1 catname="" showposts="3" titlecolor=""]
function postlayout1_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',	
		'titlecolor' => '',
	), $atts ) );
	$bposts2 = '';		
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			the_post();
			$bposts2 .= '<div class="postlayout1">';
			if ( has_post_thumbnail()) {
				$bposts2 .= '<a href="'.get_the_permalink().'">'.get_the_post_thumbnail().'</a>';
			}else{
			 $bposts2 .= '<a href="'.get_the_permalink().'"><img src="'.get_template_directory_uri().'/images/img_404.png'.'"></a>';
			}
			$bposts2 .= '<span class="catnamebox">'.getPostCategories().'</span><a href="'.get_the_permalink().'"><div class="postlayout1-title"><h6 style="color:'.$titlecolor.'">'.get_the_title().'</h6></div></a>';
			$bposts2 .= '</div>';
			$bposts2 .= ''.(($n%1==0) ? '<div class="clear"></div>' : '');	
		}
	}else{
		$bposts2 .= 'This Category Post Is empty';
	}
	wp_reset_query();
    return $bposts2;
}
add_shortcode( 'postlayout1', 'postlayout1_func' );
//Single Larg Full Post End



// [postlayout-carousel catname="Fashion" showposts="1"]
function postlayoutcarousel_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',	
		'excerptlength' => '',	
		'readmore'  => '',
	), $atts ) );
	$bposts2 = '';		
	$bposts2 = '<div class="postlayout-carousel">';	
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );	
	if ( have_posts() ) {
		while ( have_posts() ) { 
			the_post();
			$bposts2 .= '<div class="item">';
			if ( has_post_thumbnail()) {
				$bposts2 .= '<div class="postlayoutcarousel-thumb"><a href="'.get_the_permalink().'">'.get_the_post_thumbnail().'</a></div>';
			}else{
			 $bposts2 .= '<div class="postlayoutcarousel-thumb"><a href="'.get_the_permalink().'"><img src="'.get_template_directory_uri().'/images/img_404.png'.'"></a></div>';
			 
			}
			$bposts2 .= '<a href="'.get_the_permalink().'"><h5>'.get_the_title().'</h5></a>
			<span class="spanrightleftclear">'.getPostCategories().' / '.get_the_date().'</span>
			'.wp_trim_words( get_the_content(), $excerptlength, '' ).'<div class="clear"></div>';
			$bposts2 .= '<div class="readcomment">';
			$bposts2 .= ''.( ($readmore!='') ? '<span class="spanleft"><a href="'.get_the_permalink().'">'.$readmore.'</a></span>' : '' ).'';
			$bposts2 .= '<span class="spanright"><a href="'.get_comments_link().'">'.get_comments_number().' Comments</a></span>';
			$bposts2 .= '<div class="clear"></div></div>';
			$bposts2 .= '</div>';
 		}
	}else{
		$bposts2 .= 'This Category Post Is empty';
	}
	$bposts2 .= '</div>';
	wp_reset_query();
    return $bposts2;
}
add_shortcode( 'postlayout-carousel', 'postlayoutcarousel_func' );
//Single Larg Full Post End


// [postlayout2 catname="" showposts="4" excerptlength="30" readmore=""]
function postlayout2_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',	
		'titlecolor' => '',
		'excerptlength' => '',
		'readmore' => '',
	), $atts ) );
	$bposts2 = '';		
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			if( $n%2==0 )  $nomgn = 'nomargin';	else $nomgn = ' ';
			the_post();
		$bposts2 .= '<div class="postlayout2 '.$nomgn.'"> ';
			if ( has_post_thumbnail()) {
				$bposts2 .= '<div class="postlayout2-thumb"><a href="'.get_the_permalink().'">'.get_the_post_thumbnail().'</a></div>';
			}else{
			 $bposts2 .= '<div class="postlayout2-thumb"><a href="'.get_the_permalink().'"><img src="'.get_template_directory_uri().'/images/img_404.png'.'"></a></div>';
			 
			}
			$bposts2 .= '<a href="'.get_the_permalink().'"><h5>'.get_the_title().'</h5></a>
			<span class="spanrightleftclear">'.getPostCategories().' / '.get_the_date().'</span>
			'.wp_trim_words( get_the_content(), $excerptlength, '' ).'<div class="clear"></div>';
			$bposts2 .= ''.( ($readmore!='') ? '<span class="spanleftread"><a href="'.get_the_permalink().'">'.$readmore.'</a></span>' : '' ).'';
 			$bposts2 .= '<div class="clear"></div>';
			$bposts2 .= '</div>';
			$bposts2 .= ''.(($n%2==0) ? '<div class="clear"></div>' : '');	
		}
	}else{
		$bposts2 .= 'This Category Post Is empty';
	}
	wp_reset_query();
    return $bposts2;
}
add_shortcode( 'postlayout2', 'postlayout2_func' );



// [postlayout3 catname="" showposts="4" excerptlength="30" readmore=""]
function postlayout3_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',	
		'titlecolor' => '',
		'excerptlength' => '',
		'readmore' => '',
	), $atts ) );
	$bposts2 = '';		
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			the_post();
		$bposts2 .= '<div class="postlayout3"> ';
			if ( has_post_thumbnail()) {
				$bposts2 .= '<div class="postlayout3-thumb"><a href="'.get_the_permalink().'">'.get_the_post_thumbnail().'</a></div>';
			}
			$bposts2 .= '<a href="'.get_the_permalink().'"><h5>'.get_the_title().'</h5></a>
			<span class="spanrightleftclear">'.getPostCategories().'  /  '.get_the_date().'</span>
			'.wp_trim_words( get_the_content(), $excerptlength, '' ).'';
			$bposts2 .= ''.( ($readmore!='') ? '<span class="spanleftread"><a href="'.get_the_permalink().'">'.$readmore.'</a></span>' : '' ).''; 			
			$bposts2 .= '</div>';
			$bposts2 .= ''.(($n%1==0) ? '' : '');	
		}
	}else{
		$bposts2 .= 'This Category Post Is empty';
	}
	wp_reset_query();
    return $bposts2;
}
add_shortcode( 'postlayout3', 'postlayout3_func' );




// Sidebar Post [sidebarpost catname="Fashion" showposts="1" sidecontlength="" readmore=""]
function sidebarpost_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',	
		'sidecontlength' => '',
		'readmore' => '',
	), $atts ) );
	$sidebarposts = '';		
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			the_post();
			$sidebarposts .= '<div class="sidebarpost">';
			if ( has_post_thumbnail()) {
			$sidebarposts .= '<div class="sidepost_thumb"><a href="'.get_permalink().'" title="'.get_the_title().'">'.get_the_post_thumbnail().'</a></div>';
			}
			$sidebarposts .= '<a href="'.get_permalink().'" title="'.get_the_title().'"><h6>'.get_the_title().'</h6></a>';
			$sidebarposts .= '<span class="spancentertitle">'.getPostCategories().'  /  '.get_the_date().'</span> ';
			$sidebarposts .= '<div class="side-post-content"><p>'.wp_trim_words( get_the_content(), $sidecontlength, '' ).'</p></div>';
			$sidebarposts .= '</div>';
//			$sidebarposts .= ''.(($n%1==0) ? '<div class="clear"></div>' : '');	
		}
	}else{
		$sidebarposts .= 'This post is empty!';
	}
	wp_reset_query();
    return $sidebarposts;
}
add_shortcode( 'sidebarpost', 'sidebarpost_func' );
//Sidebar Post End

// Sidebar Post [sidebarpost catname="Fashion" showposts="1" sidecontlength="" readmore=""]
function sidebarpost1_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'color' => '',
		'showposts' => '',	
		'sidecontlength' => '',
		'readmore' => '',
	), $atts ) );
	$sidebarposts = '';		
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			the_post();
			$sidebarposts .= '<div class="sidebarpost1">';
			if ( has_post_thumbnail()) {
				$sidebarposts .= '<div class="sidepost1_thumb"><a href="'.get_permalink().'" title="'.get_the_title().'">'.get_the_post_thumbnail().'</a></div>';
			}else{
			$sidebarposts .= '<div class="sidepost1_thumb"><a href="'.get_the_permalink().'"><img src="'.get_template_directory_uri().'/images/img_404.png'.'"></a></div>';
			}
			$sidebarposts .= '<div class="side-post1-content">
			<a href="'.get_permalink().'" title="'.get_the_title().'"><h6 style="color:'.$color.';">'.get_the_title().'</h6></a>
			<p style="color:'.$color.';">'.wp_trim_words( get_the_content(), $sidecontlength, '' ).'</p>
			<span class="spanrightleftclear" style="color:'.$color.';">Posted: '.getPostCategories().' / '.get_the_date().'</span>
			</div>';
			$sidebarposts .= '</div>';
 		$sidebarposts .= ''.(($n%1==0) ? '<div class="clear"></div>' : '');	
		}
	}else{
		$sidebarposts .= 'This post is empty!';
	}
	wp_reset_query();
    return $sidebarposts;
}
add_shortcode( 'sidebarpost1', 'sidebarpost1_func' );
//Sidebar Post End

// [businessnews catname="" showposts="4" excerptlength="30" readmore=""]
function businessnews_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',	
		'titlecolor' => '',
		'excerptlength' => '',
		'readmore' => '',
	), $atts ) );
	$bposts2 = '';		
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			the_post();
		$bposts2 .= '<div class="businessnewsbox"> ';
			if ( has_post_thumbnail()) {
				$bposts2 .= '<div class="imagesbox"><a href="'.get_the_permalink().'">'.get_the_post_thumbnail().'</a></div>';
			}
			  $bposts2 .= '<div class="business-list-content">
			    <h6 class="business-list-title"><a href="'.get_the_permalink().'">'.get_the_title().'</a></h6>
			    <div class="spanrightleftclear">'.getPostCategories().'  /  '.get_the_date().'</div>
			    <p>'.wp_trim_words( get_the_content(), $excerptlength, '' ).'</p>';
			    $bposts2 .= ''.( ($readmore!='') ? '<a class="business-list-button" href="'.get_the_permalink().'">'.$readmore.'</a>' : '' ).'';
			   
			  $bposts2 .= '</div>'; 			
			$bposts2 .= '</div>';
			$bposts2 .= ''.(($n%1==0) ? '' : '');	
		}
	}else{
		$bposts2 .= 'This Category Post Is empty';
	}
	wp_reset_query();
    return $bposts2;
}
add_shortcode( 'businessnews', 'businessnews_func' );