<?php
/**
 * @package Personal Pro
 * Setup the WordPress core custom functions feature.
 *
*/

add_action('personal_pro_optionsframework_custom_scripts', 'personal_pro_optionsframework_custom_scripts');
function personal_pro_optionsframework_custom_scripts() { ?>
	<script type="text/javascript">
    jQuery(document).ready(function() {
    
        jQuery('#example_showhidden').click(function() {
            jQuery('#section-example_text_hidden').fadeToggle(400);
        });
        
        if (jQuery('#example_showhidden:checked').val() !== undefined) {
            jQuery('#section-example_text_hidden').show();
        }
        
    });
    </script><?php
}

// get_the_content format text
function get_the_content_format( $str ){
	$raw_content = apply_filters( 'the_content', $str );
	$content = str_replace( ']]>', ']]&gt;', $raw_content );
	return $content;
}
// the_content format text
function the_content_format( $str ){
	echo get_the_content_format( $str );
}

function is_google_font( $font ){
	$notGoogleFont = array( 'Arial', 'Comic Sans MS', 'FreeSans', 'Georgia', 'Lucida Sans Unicode', 'Palatino Linotype', 'Symbol', 'Tahoma', 'Trebuchet MS', 'Verdana' );
	if( in_array($font, $notGoogleFont) ){
		return false;
	}else{
		return true;
	}
}

// subhead section function
function sub_head_section( $more ) {
	$pgs = 0;
	do {
		$pgs++;
	} while ($more > $pgs);
	return $pgs;
}

//[clear]
function clear_func() {
	$clr = '<div class="clear"></div>';
	return $clr;
}
add_shortcode( 'clear', 'clear_func' );

//[column_content]Your content here...[/column_content]
function column_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'type' => '',	
	), $atts ) );
	$colPos = strpos($type, '_last');
	if($colPos === false){
		$cnt = '<div class="'.$type.'">'.do_shortcode($content).'</div>';
	}else{
		$type = substr($type,0,$colPos);
		$cnt = '<div class="'.$type.' last_column">'.do_shortcode($content).'</div>';
	}
	return $cnt;
}
add_shortcode( 'column_content', 'column_content_func' );

//[hr]
function hrule_func() {
	$hrule = '<div class="hr"></div>';
	return $hrule;
}
add_shortcode( 'hr', 'hrule_func' );

//[hr_top]
function back_to_top_func() {
	$back_top = '<div id="back-top">
		<a title="Top of Page" href="#top"><span></span></a>
	</div>';
	return $back_top;
}
add_shortcode( 'back-to-top', 'back_to_top_func' );


// [searchform]
function searchform_shortcode_func( $atts ){ 
	$search = '
		<div class="headsearchbox">
			<div class="search-box">
				<form role="search" method="get" class="" action="'.esc_url( home_url( '/' ) ).'">
					<input type="search" id="search" value="" placeholder="Search" name="s" >
					<input type="submit" class="head-submit">
					<!-- <span class="icon"><i class="fa fa-search"></i></span> -->
				</form>
			</div>
		</div>';
	return $search;
}
add_shortcode( 'searchform', 'searchform_shortcode_func' );

// accordion
function accordion_func( $atts, $content = null ) {
	$acc = '<div style="margin-top:10px;">'.get_the_content_format( do_shortcode($content) ).'<div class="clear"></div></div>';
	return $acc;
}
add_shortcode( 'accordion', 'accordion_func' );
function accordion_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Accordion Title',
	), $atts ) );
	$content = wpautop(trim($content));
	$acn = '<div class="accordion-box"><h2>'.$title.'</h2>
			<div class="acc-content">'.$content.'</div><div class="clear"></div></div>';
	return $acn;
}
add_shortcode( 'accordion_content', 'accordion_content_func' );


// remove excerpt more
function new_excerpt_more( $more ) {
	return '... ';
}
add_filter('excerpt_more', 'new_excerpt_more');

// get post categories function
function getPostCategories(){
	$categories = get_the_category();
	$catOut = '';
	$separator = ', ';
	$catOutput = '';
	if($categories){
		foreach($categories as $category) {
			$catOutput .= '<a href="'.get_category_link( $category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s", 'personal-pro' ), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
		}
		$catOut = ''.of_get_option('categorywordchange').''.trim($catOutput, $separator);
	}
	return $catOut;
}

// replace last occurance of a string.
function str_lreplace($search, $replace, $subject){
	$pos = strrpos($subject, $search);
	if($pos !== false){
		$subject = substr_replace($subject, $replace, $pos, strlen($search));
	}
	return $subject;
}

// custom post type for Testimonials
function my_custom_post_testimonials() {
	$labels = array(
		'name'               => __( 'Testimonial','personal-pro'),
		'singular_name'      => __( 'Testimonial','personal-pro'),
		'add_new'            => __( 'Add Testimonial','personal-pro'),
		'add_new_item'       => __( 'Add New Testimonial','personal-pro'),
		'edit_item'          => __( 'Edit Testimonial','personal-pro'),
		'new_item'           => __( 'New Testimonial','personal-pro'),
		'all_items'          => __( 'All Testimonials','personal-pro'),
		'view_item'          => __( 'View Testimonial','personal-pro'),
		'search_items'       => __( 'Search Testimonials','personal-pro'),
		'not_found'          => __( 'No testimonials found','personal-pro'),
		'not_found_in_trash' => __( 'No testimonials found in the Trash','personal-pro'), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Testimonials'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Testimonials',
		'public'        => true,
		'menu_icon'		=> 'dashicons-format-quote',
		'menu_position' => null,
		'supports'      => array( 'title', 'editor', 'thumbnail'),
		'has_archive'   => true,
	);
	register_post_type( 'testimonials', $args );	
}
add_action( 'init', 'my_custom_post_testimonials' );

// add meta box to testimonials
add_action( 'admin_init', 'my_testimonials_admin_function' );
function my_testimonials_admin_function() {
    add_meta_box( 'testimonials_meta_box',
        'Testimonials Info',
        'display_testimonials_meta_box',
        'testimonials', 'normal', 'high'
    );
}
// add meta box form to team
function display_testimonials_meta_box( $testimonials ) {
    // Retrieve current name of the Director and Movie Rating based on review ID
    $designation = esc_html( get_post_meta( $testimonials->ID, 'designation', true ) );   
    ?>
    <table width="100%">
        <tr>
            <td width="20%">client info (designation) </td>
            <td width="80%"><input type="text" name="designation" value="<?php echo $designation; ?>" /></td>
        </tr>      
    </table>
    <?php      
}
// save team meta box form data
add_action( 'save_post', 'add_testimonials_fields_function', 10, 2 );
function add_testimonials_fields_function( $testimonials_id, $testimonials ) {
    // Check post type for testimonials
    if ( $testimonials->post_type == 'testimonials' ) {
        // Store data in post meta table if present in post data
        if ( isset($_POST['designation']) ) {
            update_post_meta( $testimonials_id, 'designation', $_POST['designation'] );
        }        
    }
}


//Testimonials function
function testimonials_output_func( $atts ){
	extract( shortcode_atts( array( 
	'show' => '',
	),
	$atts ) ); 		
	wp_reset_query();
 	query_posts('post_type=testimonials&posts_per_page='.$show);
	if ( have_posts() ) :
	 $testimonialoutput = '<div id="clienttestiminials"><div class="owl-carousel">';	
		while ( have_posts() ) : the_post();
		if ( has_post_thumbnail()) {
				$large_imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');
				$imgUrl = $large_imgSrc[0];
		}else{
				$imgUrl = get_template_directory_uri().'/images/img_404.png';
		}	
		$designation = esc_html( get_post_meta( get_the_ID(), 'designation', true ) );		   
			$testimonialoutput .= '
				 <div class="item">
				 <div class="arrow_box">
				  '.content( of_get_option('testimonialsexcerptlength') ).'
					</div><div class="clear"></div>
					<div class="tmthumb"><img src="'.$imgUrl.'" alt=" " /></div>					
					<div class="leftttl">
					 <h6>'.get_the_title().'</h6>	
					 <span>'.$designation.'</span>
					 </div>
					 
				</div>';
		endwhile;
		 $testimonialoutput .= '</div></div>';
	else:
	  $testimonialoutput = 'client testimonials is empty';			
	  endif;  
	wp_reset_query();	
	return $testimonialoutput;
}
add_shortcode( 'testimonials', 'testimonials_output_func' );



//Testimonials function
function testimonials_listing_output_func( $atts ){
	extract( shortcode_atts( array( 
	'show' => '',
	),
	$atts ) ); 		
	wp_reset_query();
 	query_posts('post_type=testimonials&posts_per_page='.$show);
	if ( have_posts() ) :
	 $testimonialoutput = '<div id="Tmnllist">';	
		while ( have_posts() ) : the_post();
		if ( has_post_thumbnail()) {
				$large_imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
				$imgUrl = $large_imgSrc[0];
			}else{
				$imgUrl = get_template_directory_uri().'/images/img_404.png';
			}	
		$designation = esc_html( get_post_meta( get_the_ID(), 'designation', true ) );		   
			$testimonialoutput .= '
			    <div class="tmnllisting">
			 	<div class="tmnlthumb"><a href="'.get_permalink().'"><img src="'.$imgUrl.'" alt=" " /></a></div>
				 <h6><a href="'.get_permalink().'">'.get_the_title().'</a></h6>	
				 <span>'.$designation.'</span>
				  '.content( of_get_option('testimonialsexcerptlength') ).'
				</div>	';
		endwhile;
		 $testimonialoutput .= '</div>';
	else:
	  $testimonialoutput = '<div id="Tmnllist"> 
           
              <div class="tmnllisting">
                <div class="tmnlthumb"><a href="#"><img src="'.get_template_directory_uri()."/images/team1.jpg".'" alt="" /></a></div>
                   <h6><a href="#">Brandon Doe</a></h6>
				   <span>Ceo & Founder</span>
				   <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec laoreet magna diam, id ullamcorper lacus suscipit vehicula. In porta vehicula lacus, ac viverra ipsum volutpat quis. Aenean dapibus, nisl in efficitur iaculis.</p>
               </div>
			  
                <div class="tmnllisting">
                <div class="tmnlthumb"><a href="#"><img src="'.get_template_directory_uri()."/images/team2.jpg".'" alt="" /></a></div>
                   <h6><a href="#">Brandon Doe</a></h6>
				   <span>Ceo & Founder</span>
				   <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec laoreet magna diam, id ullamcorper lacus suscipit vehicula. In porta vehicula lacus, ac viverra ipsum volutpat quis. Aenean dapibus, nisl in efficitur iaculis.</p>
               </div>
			  
			     <div class="tmnllisting">
                <div class="tmnlthumb"><a href="#"><img src="'.get_template_directory_uri()."/images/team3.jpg".'" alt="" /></a></div>
                   <h6><a href="#">Brandon Doe</a></h6>
				   <span>Ceo & Founder</span>
				   <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec laoreet magna diam, id ullamcorper lacus suscipit vehicula. In porta vehicula lacus, ac viverra ipsum volutpat quis. Aenean dapibus, nisl in efficitur iaculis.</p>
               </div>
			  
			    <div class="tmnllisting">
                <div class="tmnlthumb"><a href="#"><img src="'.get_template_directory_uri()."/images/team4.jpg".'" alt="" /></a></div>
                   <h6><a href="#">Brandon Doe</a></h6>
				   <span>Ceo & Founder</span>
				   <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec laoreet magna diam, id ullamcorper lacus suscipit vehicula. In porta vehicula lacus, ac viverra ipsum volutpat quis. Aenean dapibus, nisl in efficitur iaculis.</p>
               </div>
			               
           
  </div>';			
	  endif;  
	wp_reset_query();	
	return $testimonialoutput;
}
add_shortcode( 'testimonials-listing', 'testimonials_listing_output_func' );


//Testimonials function
function testimonials_rotator_output_func( $atts ){
	extract( shortcode_atts( array( 
	'show' => '',
	),
	$atts ) ); 		
	wp_reset_query();
 	query_posts('post_type=testimonials&posts_per_page='.$show);
	if ( have_posts() ) :
	 $testimonialoutput = '<div id="testimonials"><div class="quotes">';	
		while ( have_posts() ) : the_post();	
		$designation = esc_html( get_post_meta( get_the_ID(), 'designation', true ) );		   
			$testimonialoutput .= '
			  <div> '.content( of_get_option('testimonialsexcerptlength') ).'
				  <h6><a href="'.get_permalink().'">'.get_the_title().'</a></h6>
				  <span>'.$designation.'</span>					
              </div>
			';
		endwhile;
		 $testimonialoutput .= '</div></div>';
	else:
	  $testimonialoutput = '<div id="testimonials"><div class="quotes">
           
               <div>
                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec laoreet magna diam, id ullamcorper lacus suscipit vehicula. In porta vehicula lacus, ac viverra ipsum volutpat quis. Aenean dapibus, nisl in efficitur iaculis.</p>
				   <h6><a href="#">Brandon Doe</a></h6>
				   <span>Ceo & Founder</span>				  
               </div>
			  
                 <div>
                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec laoreet magna diam, id ullamcorper lacus suscipit vehicula. In porta vehicula lacus, ac viverra ipsum volutpat quis. Aenean dapibus, nisl in efficitur iaculis.</p>
				   <h6><a href="#">Brandon Doe</a></h6>
				   <span>Ceo & Founder</span>				  
               </div>
           
  </div></div>';			
	  endif;  
	wp_reset_query();	
	return $testimonialoutput;
}
add_shortcode( 'sidebar-testimonials', 'testimonials_rotator_output_func' );


//custom post type for Our Team
function my_custom_post_team() {
	$labels = array(
		'name'               => __( 'Our Team', 'guideline-pro' ),
		'singular_name'      => __( 'Our Team', 'guideline-pro' ),
		'add_new'            => __( 'Add New', 'guideline-pro' ),
		'add_new_item'       => __( 'Add New Team Member', 'guideline-pro' ),
		'edit_item'          => __( 'Edit Team Member', 'guideline-pro' ),
		'new_item'           => __( 'New Member', 'guideline-pro' ),
		'all_items'          => __( 'All Members', 'guideline-pro' ),
		'view_item'          => __( 'View Members', 'guideline-pro' ),
		'search_items'       => __( 'Search Team Members', 'guideline-pro' ),
		'not_found'          => __( 'No Team members found', 'guideline-pro' ),
		'not_found_in_trash' => __( 'No Team members found in the Trash', 'guideline-pro' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Our Team'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Team',
		'public'        => true,
		'menu_position' => null,
		'menu_icon'		=> 'dashicons-groups',
		'supports'      => array( 'title', 'editor', 'thumbnail' ),
		'rewrite' => array('slug' => 'our-team'),
		'has_archive'   => true,
	);
	register_post_type( 'team', $args );
}
add_action( 'init', 'my_custom_post_team' );

// add meta box to team
add_action( 'admin_init', 'my_team_admin_function' );
function my_team_admin_function() {
    add_meta_box( 'team_meta_box',
        'Member Info',
        'display_team_meta_box',
        'team', 'normal', 'high'
    );
}
// add meta box form to team
function display_team_meta_box( $team ) {
    // Retrieve current name of the Director and Movie Rating based on review ID
    $designation = esc_html( get_post_meta( $team->ID, 'designation', true ) );
    $facebook = get_post_meta( $team->ID, 'facebook', true );
	$facebooklink = esc_url( get_post_meta( $team->ID, 'facebooklink', true ) );
    $twitter = get_post_meta( $team->ID, 'twitter', true );
	$twitterlink = esc_url( get_post_meta( $team->ID, 'twitterlink', true ) );
    $linkedin = get_post_meta( $team->ID, 'linkedin', true );
	$linkedinlink = esc_url( get_post_meta( $team->ID, 'linkedinlink', true ) );
	$pint = get_post_meta( $team->ID, 'google', true );
	$googlelink = esc_url( get_post_meta( $team->ID, 'googlelink', true ) );
    $dribbble = get_post_meta( $team->ID, 'dribbble', true );
	$dribbblelink = get_post_meta( $team->ID, 'dribbblelink', true );
    ?>
    <table width="100%">
        <tr>
            <td width="20%">Designation </td>
            <td width="80%"><input type="text" name="designation" value="<?php echo $designation; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social link 1</td>
            <td width="40%"><input type="text" name="facebook" value="<?php echo $facebook; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="facebooklink" value="<?php echo $facebooklink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 2</td>
            <td width="40%"><input type="text" name="twitter" value="<?php echo $twitter; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="twitterlink" value="<?php echo $twitterlink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 3</td>
            <td width="40%"><input type="text" name="linkedin" value="<?php echo $linkedin; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="linkedinlink" value="<?php echo $linkedinlink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 4</td>
            <td width="40%"><input type="text" name="dribbble" value="<?php echo $dribbble; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="dribbblelink" value="<?php echo $dribbblelink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 5</td>
            <td width="40%"><input type="text" name="google" value="<?php echo $pint; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="googlelink" value="<?php echo $googlelink; ?>" /></td>
        </tr>
        <tr>
        	<td width="100%" colspan="3"><label style="font-size:12px;"><strong>Note:</strong> Icon name should be in lowercase without space. More social icons can be found at: http://fortawesome.github.io/Font-Awesome/icons/</label> </td>
        </tr>
    </table>
    <?php                 
}
// save team meta box form data
add_action( 'save_post', 'add_team_fields_function', 10, 2 );
function add_team_fields_function( $team_id, $team ) {
    // Check post type for testimonials
    if ( $team->post_type == 'team' ) {
        // Store data in post meta table if present in post data
        if ( isset($_POST['designation']) ) {
            update_post_meta( $team_id, 'designation', $_POST['designation'] );
        }
        if ( isset($_POST['facebook']) ) {
            update_post_meta( $team_id, 'facebook', $_POST['facebook'] );
        }
		if ( isset($_POST['facebooklink']) ) {
            update_post_meta( $team_id, 'facebooklink', $_POST['facebooklink'] );
        }
        if ( isset($_POST['twitter']) ) {
            update_post_meta( $team_id, 'twitter', $_POST['twitter'] );
        }
		if ( isset($_POST['twitterlink']) ) {
            update_post_meta( $team_id, 'twitterlink', $_POST['twitterlink'] );
        }
        if ( isset($_POST['linkedin']) ) {
            update_post_meta( $team_id, 'linkedin', $_POST['linkedin'] );
        }
		if ( isset($_POST['linkedinlink']) ) {
            update_post_meta( $team_id, 'linkedinlink', $_POST['linkedinlink'] );
        }
        if ( isset($_POST['dribbble']) ) {
            update_post_meta( $team_id, 'dribbble', $_POST['dribbble'] );
        }
		if ( isset($_POST['dribbblelink']) ) {
            update_post_meta( $team_id, 'dribbblelink', $_POST['dribbblelink'] );
        }
		if ( isset($_POST['google']) ) {
            update_post_meta( $team_id, 'google', $_POST['google'] );
        }
		if ( isset($_POST['googlelink']) ) {
            update_post_meta( $team_id, 'googlelink', $_POST['googlelink'] );
        }
    }
}

function our_teamposts_func( $atts ) {
   extract( shortcode_atts( array(
		'show' => '',
	), $atts ) );
	  extract( shortcode_atts( array( 'show' => '',), $atts ) ); 
	$bposts = '';
	$args = array( 'post_type' => 'team', 'posts_per_page' => $show, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			the_post();
			$n++; if( $n%3 == 0 ) $nomargn = ' lastcols'; else $nomargn = '';
			$designation = esc_html( get_post_meta( get_the_ID(), 'designation', true ) );
			$facebook = get_post_meta( get_the_ID(), 'facebook', true );
			$facebooklink = get_post_meta( get_the_ID(), 'facebooklink', true );
			$twitter = get_post_meta( get_the_ID(), 'twitter', true );
			$twitterlink = get_post_meta( get_the_ID(), 'twitterlink', true );
			$linkedin = get_post_meta( get_the_ID(), 'linkedin', true );
			$linkedinlink = get_post_meta( get_the_ID(), 'linkedinlink', true );
			$dribbble = get_post_meta( get_the_ID(), 'dribbble', true );
			$dribbblelink = get_post_meta( get_the_ID(), 'dribbblelink', true );
			$pint = get_post_meta( get_the_ID(), 'google', true );
			$googlelink = get_post_meta( get_the_ID(), 'googlelink', true );				
			
			$bposts .= '<div class="teammember-list">';	
			$bposts .= '<a href="'.get_the_permalink().'"><div class="thumnailbx">'.get_the_post_thumbnail().'</div></a>';
				$bposts .= '<div class="titledesbox">
								<a href="'.get_the_permalink().'"><span class="title">'.get_the_title().'</span></a>
							</div>
				 			';
							$bposts .= '<div class="member-social-icon">';
								if( $facebook != '' ){
									$bposts .= '<a href="'.$facebooklink.'" title="'.$facebook.'" target="_blank"><i class="'.$facebook.' fa-lg"></i></a>';
								}
								if( $twitter != '' ){
									$bposts .= '<a href="'.$twitterlink.'" title="'.$twitter.'" target="_blank"><i class="'.$twitter.' fa-lg"></i></a>';
								}
								if( $linkedin != '' ){
									$bposts .= '<a href="'.$linkedinlink.'" title="'.$linkedin.'" target="_blank"><i class="'.$linkedin.' fa-lg"></i></a>';
								}
								if( $dribbble != '' ){
									$bposts .= '<a href="'.$dribbblelink.'" title="'.$dribbble.'" target="_blank"><i class="'.$dribbble.' fa-lg"></i></a>';
								}
								if( $pint != '' ){
									$bposts .= '<a href="'.$googlelink.'" title="'.$pint.'" target="_blank"><i class="'.$pint.' fa-lg"></i></a><div class="clear"></div>';
								}
				$bposts .= '</div>';
				$bposts .= '</div>';
		}
	}else{
		$bposts .= 'There are not found our team members';
	}
	wp_reset_query();
	$bposts .= '<div class="clear"></div>';
    return $bposts;
}
add_shortcode( 'our-team', 'our_teamposts_func' );

// Social Icon Shortcodes
function personal_pro_social_area($atts,$content = null){
  return '<div class="social-icons">'.do_shortcode($content).'</div>';
 }
add_shortcode('social_area','personal_pro_social_area');

function personal_pro_social($atts){
 extract(shortcode_atts(array(
  'icon' => '',
  'link' => ''
 ),$atts));
  return '<a href="'.$link.'" target="_blank" class="'.$icon.'" title="'.$icon.'"></a>';
 }
add_shortcode('social','personal_pro_social');

// Social Icon Shortcodes
function personal_pro_socialsection($atts,$content = null){
  return '<div class="footer-social">'.do_shortcode($content).'</div>';
 }
add_shortcode('footer_social','personal_pro_socialsection');

function personal_pro_socialarea($atts){
 extract(shortcode_atts(array(
  'icon' => '',
  'link' => '',
  'title' => '',
 ),$atts));
  return '<a href="'.$link.'" target="_blank" class="'.$icon.'" title="'.$icon.'"><span>'.$title.'</span></a>';
 }
add_shortcode('socialarea','personal_pro_socialarea');


function contactform_func( $atts ) {
    $atts = shortcode_atts( array(
        'to_email' => get_bloginfo('admin_email'),
		'title' => 'Contact enquiry - '.home_url( '/' ),
    ), $atts );

	$cform = "<div class=\"main-form-area\" id=\"contactform_main\">";

	$cerr = array();
	if( isset($_POST['c_submit']) && $_POST['c_submit']=='Submit' ){
		$name 			= trim( $_POST['c_name'] );
		$email 			= trim( $_POST['c_email'] );
		$phone 			= trim( $_POST['c_phone'] );
		$website		= trim( $_POST['c_website'] );
		$comments 		= trim( $_POST['c_comments'] );
		$captcha 		= trim( $_POST['c_captcha'] );
		$captcha_cnf	= trim( $_POST['c_captcha_confirm'] );

		if( !$name )
			$cerr['name'] = 'Please enter your name.';
		if( ! filter_var($email, FILTER_VALIDATE_EMAIL) ) 
			$cerr['email'] = 'Please enter a valid email.';
		if( !$phone )
			$cerr['phone'] = 'Please enter your phone number.';
		if( !$comments )
			$cerr['comments'] = 'Please enter your message.';
		if( !$captcha || (md5($captcha) != $captcha_cnf) )
			$cerr['captcha'] = 'Please enter the correct answer.';

		if( count($cerr) == 0 ){
			$subject = $atts['title'];
			$headers = "From: ".$name." <" . strip_tags($email) . ">\r\n";
			$headers .= "MIME-Version: 1.0\r\n";
			$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";

			$message = '<html><body>
							<table>
								<tr><td>Name: </td><td>'.$name.'</td></tr>
								<tr><td>Email: </td><td>'.$email.'</td></tr>
								<tr><td>Phone: </td><td>'.$phone.'</td></tr>
								<tr><td>Website: </td><td>'.$website.'</td></tr>
								<tr><td>Message: </td><td>'.$comments.'</td></tr>
							</table>
						</body>
					</html>';
			mail( $atts['to_email'], $subject, $message, $headers);
			$cform .= '<div class="success_msg">Thank you! A representative will get back to you very shortly.</div>';
			unset( $name, $email, $phone, $website, $comments, $captcha );
		}else{
			$cform .= '<div class="error_msg">';
			$cform .= implode('<br />',$cerr);
			$cform .= '</div>';
		}
	}

	$capNum1 	= rand(1,4);
	$capNum2 	= rand(1,5);
	$capSum		= $capNum1 + $capNum2;
	$sumStr		= $capNum1." + ".$capNum2 ." = ";

	$cform .= "<form name=\"contactform\" action=\"#contactform_main\" method=\"post\">
			<p><input type=\"text\" name=\"c_name\" value=\"". ( ( empty($name) == false ) ? $name : "" ) ."\" placeholder=\"Name\" /></p>
			<p><input type=\"email\" name=\"c_email\" value=\"". ( ( empty($email) == false ) ? $email : "" ) ."\" placeholder=\"Email\" /></p><div class=\"clear\"></div>
			<p><input type=\"tel\" name=\"c_phone\" value=\"". ( ( empty($phone) == false ) ? $phone : "" ) ."\" placeholder=\"Phone\" /></p>
			<p><input type=\"url\" name=\"c_website\" value=\"". ( ( empty($website) == false ) ? $website : "" ) ."\" placeholder=\"Website with prefix http://\" /></p><div class=\"clear\"></div>
			<p><textarea name=\"c_comments\" placeholder=\"Message\">". ( ( empty($comments) == false ) ? $comments : "" ) ."</textarea></p><div class=\"clear\"></div>";
	$cform .= "<p><span class=\"capcode\">$sumStr</span><input type=\"text\" placeholder=\"Captcha\" value=\"". ( ( empty($captcha) == false ) ? $captcha : "" ) ."\" name=\"c_captcha\" /><input type=\"hidden\" name=\"c_captcha_confirm\" value=\"". md5($capSum)."\"></p><div class=\"clear\"></div>";
	$cform .= "<p class=\"sub\"><input type=\"submit\" name=\"c_submit\" value=\"Submit\" class=\"search-submit\" /></p>
		</form>
	</div>";

    return $cform;
}
add_shortcode( 'contactform', 'contactform_func' );


//custom post type for Our photogallery
function my_custom_post_photogallery() {
	$labels = array(
		'name'               => __( 'Photo Gallery','personal-pro' ),
		'singular_name'      => __( 'Photo Gallery','personal-pro' ),
		'add_new'            => __( 'Add New','personal-pro' ),
		'add_new_item'       => __( 'Add New Image ','personal-pro' ),
		'edit_item'          => __( 'Edit Image','personal-pro' ),
		'new_item'           => __( 'New Image','personal-pro' ),
		'all_items'          => __( 'All Images','personal-pro' ),
		'view_item'          => __( 'View Image','personal-pro' ),
		'search_items'       => __( 'Search Images','personal-pro' ),
		'not_found'          => __( 'No images found','personal-pro' ),
		'not_found_in_trash' => __( 'No images found in the Trash','personal-pro' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Photo Gallery'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Photo Gallery',
		'public'        => true,
		'menu_position' => 23,
		'supports'      => array( 'title', 'thumbnail' ),
		'has_archive'   => true,
	);
	register_post_type( 'photogallery', $args );
}
add_action( 'init', 'my_custom_post_photogallery' );


//  register gallery taxonomy
register_taxonomy( "gallerycategory", 
	array("photogallery"), 
	array(
		"hierarchical" => true, 
		"label" => "Gallery Category", 
		"singular_label" => "Photo Gallery", 
		"rewrite" => true
	)
);

add_action("manage_posts_custom_column",  "photogallery_custom_columns");
add_filter("manage_edit-photogallery_columns", "photogallery_edit_columns");
function photogallery_edit_columns($columns){
	$columns = array(
		"cb" => '<input type="checkbox" />',
		"title" => "Gallery Title",
		"pcategory" => "Gallery Category",
		"view" => "Image",
		"date" => "Date",
	);
	return $columns;
}
function photogallery_custom_columns($column){
	global $post;
	switch ($column) {
		case "pcategory":
			echo get_the_term_list($post->ID, 'gallerycategory', '', ', ','');
		break;
		case "view":
			the_post_thumbnail('thumbnail');
		break;
		case "date":

		break;
	}
}


//[photogallery filter="false"]
function photogallery_shortcode_func( $atts ) {
	extract( shortcode_atts( array(
		'show' => -1,
		'filter' => 'true'
	), $atts ) );
	$pfStr = '';

	$pfStr .= '<div class="photobooth">';
	if( $filter == 'true' ){
		$pfStr .= '<ul class="portfoliofilter clearfix"><li><a class="selected" data-filter="*" href="#">'.of_get_option('galleryshowallbtn').'</a><span></span></li>';
		$categories = get_categories( array('taxonomy' => 'gallerycategory') );
		foreach ($categories as $category) {
			$pfStr .= '<li><a data-filter=".'.$category->slug.'" href="#">'.$category->name.'</a></li>';
		}
		$pfStr .= '</ul>';
	}

	$pfStr .= '<div class="row threecol portfoliowrap"><div class="portfolio">';
	$j=0;
	query_posts('post_type=photogallery&posts_per_page='.$show); 
	if ( have_posts() ) : while ( have_posts() ) : the_post(); 
	$j++;
		$videoUrl = get_post_meta( get_the_ID(), 'video_file_url', true);
		$imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
		$terms = wp_get_post_terms( get_the_ID(), 'gallerycategory', array("fields" => "all"));
		$slugAr = array();
		foreach( $terms as $tv ){
			$slugAr[] = $tv->slug;
		}
		if ( $imgSrc[0]!='' ) {
			$imgUrl = $imgSrc[0];
		}else{
			$imgUrl = get_template_directory_uri().'/images/img_404.png';
		}
		$pfStr .= '<div class="entry '.implode(' ', $slugAr).'">
						<div class="holderwrap">
						  <figure class="effect-bubba">
						  <a href="'.( ($videoUrl) ? $videoUrl : $imgSrc[0] ).'" data-rel="prettyPhoto[bkpGallery]">
							 <img src="'.$imgSrc[0].'"/>
							 <h5>'.get_the_title().'</h5>
							 <figcaption></figcaption>
							 </a>			
							</figure>
											
						</div>
					</div>';
		unset( $slugAr );
	endwhile; else: 
		$pfStr .= '<p>Sorry, photo gallery is empty.</p>';
	endif; 
	wp_reset_query();
	$pfStr .= '</div></div>';
	$pfStr .= '</div>';
	return $pfStr;
}
add_shortcode( 'photogallery', 'photogallery_shortcode_func' );

/*toggle function*/
function toggle_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Click here to toggle content',
	), $atts ) );
	$tog_content = "<div class=\"toggle_holder\"><h3 class=\"slide_toggle\"><a href=\"#\">{$title}</a></h3>
					<div class=\"slide_toggle_content\">".get_the_content_format( $content )."</div></div>";

	return $tog_content;
}
add_shortcode( 'toggle_content', 'toggle_func' );

function tabs_func( $atts, $content = null ) {
	$tabs = '<div class="tabs-wrapper"><ul class="tabs">'.do_shortcode($content).'</ul></div>';
	return $tabs;
}
add_shortcode( 'tabs', 'tabs_func' );

function tab_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'title' => 'Tab Title',
	), $atts ) );
	$rand = rand(100,999);
	$tab = '<li><a rel="tab'.$rand.'" href="javascript:void(0)">'.$title.' <i class="fa fa-hand-o-right"></i>
</a><div id="tab'.$rand.'" class="tab-content">'.get_the_content_format($content).'</div></li>';
	return $tab;
}
add_shortcode( 'tab', 'tab_func' );

// Button Shortcode
//[button name="name" align="align" link="link" target="_self"]
function readmorebtn_fun($atts){
	extract(shortcode_atts(array(
	'name'	=> '',
	'align'	=> '',
	'link'	=> '#',
	'target'=> '',
	), $atts));
	return '<div class="custombtn" style="text-align:'.$align.'">	
	   <a class="morebutton" href="'.$link.'" target="'.$target.'">'.$name.'</a>	   	   
	</div>';
	}
add_shortcode('button','readmorebtn_fun');

// Button Shortcode
function readmorebtn_style2_fun($atts){
	extract(shortcode_atts(array(
	'name'	=> '',
	'align'	=> '',
	'link'	=> '#',
	'target'=> '',	
	), $atts));
	return '<div class="custombtn" style="text-align:'.$align.'">	
	   <a class="buttonstyle1" href="'.$link.'" target="'.$target.'">'.$name.'</a>	   	   
	</div>';
	}
add_shortcode('buttonstyle2','readmorebtn_style2_fun');
// [space height=""]
// space Shortcode
function space_fun($atts){
	extract(shortcode_atts(array(
	'height'	=> '',	
	), $atts));
	return '<div class="space" style="height:'.$height.'"></div>';
	}
add_shortcode('space','space_fun');

// space Shortcode
function subtitle_fun($atts){
	extract(shortcode_atts(array(
	'size'	=> '',
	'color'	=> '',
	'margin'	=> '',
	'description'	=> '',
	'align'	=> '',
	), $atts));
	return '<div class="subtitle" style="font-size:'.$size.'; color:'.$color.'; margin:'.$margin.'; text-align:'.$align.';">'.$description.'</div>';
	}
add_shortcode('subtitle','subtitle_fun');

// Latest News function
function latestnewsoutput_func( $atts ){
   extract( shortcode_atts( array(
		'showposts' => '',
		'catid' => '',
	), $atts ) );
	$postoutput = '<div class="row-width">';
	wp_reset_query();
	$n = 0;
	query_posts(  array( 'posts_per_page'=>$showposts, 'cat'=>$catid, 'post__not_in' => get_option('sticky_posts') )  );
	if ( have_posts() ) :
		while ( have_posts() ) : the_post();
			$n++;
			if ( has_post_thumbnail()) {
				$large_imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');
				$imgUrl = $large_imgSrc[0];
			}else{
				$imgUrl = get_template_directory_uri().'/images/img_404.png';
			}
			$categories = get_the_category();
			$postoutput .= '<div class="news-box">
								<div class="news-thumb"><a href="'.get_the_permalink().'"><img src="'.$imgUrl.'" alt=" " /></a>
								
<div class="PostMeta"><a href="' . esc_url( get_category_link( $categories[0]->term_id ) ) . '">' . esc_html( $categories[0]->name ) . '</a></div>
								</div>
								<div class="newsdesc">
									<a href="'.get_permalink().'"><h6>'.get_the_title().'</h6></a>
								</div>
								<div class="clear"></div>
                        </div>';	
						$postoutput .= ''.(($n%4==0) ? '<div class="clear"></div>' : '');	
		endwhile;
	endif;
	wp_reset_query();
	$postoutput .= '</div>';	
	return $postoutput;
}
add_shortcode( 'latest-news', 'latestnewsoutput_func' );

/*Clients Logo function*/
function personal_pro_client_logos($atts, $content = null){
	return '<ul id="clientlogos">'.do_shortcode($content).'</ul>';
	}
add_shortcode('client_lists','personal_pro_client_logos');

function personal_pro_client($atts){
	extract(shortcode_atts(array(
	'image'	=> '',	
	'link'	=> '#'	
	), $atts));
	return '<li><a href="'.$link.'" target="_blank"><img src="'.$image.'" /></a></li>';
	}
add_shortcode('client','personal_pro_client');


// add shortcode for skills
function personal_pro_skills($personal_pro_skill_var){
	extract( shortcode_atts(array(
		'title' 	=> 'title',
		'percent'	=> 'percent',
		'bgcolor'	=> 'bgcolor',
	), $personal_pro_skill_var));
	
	return '<div class="skillbar clearfix " data-percent="'.$percent.'%">
			<div class="skillbar-title"><span>'.$title.'</span></div>
			<div class="skill-bg"><div class="skillbar-bar" style="background:'.$bgcolor.'"></div></div>
			<div class="skill-bar-percent">'.$percent.'%</div>
			</div>';
}

add_shortcode('skill','personal_pro_skills');

/*clients function*/
function custom_client_logos($atts, $content = null){
	return '<div class="recentproject_list">'.do_shortcode($content).'</div>';
	}
add_shortcode('project_lists','custom_client_logos');

function custom_client($atts){
	extract(shortcode_atts(array(
	'title'	=> '',
	'image'	=> '',
	'button' => '',
	'link'	=> '',
	'clear'	=> ''
	), $atts));
	return '<div class="item '.$clear.'"><figure class="effect-bubba"><a href="'.$link.'" target="_blank"><h5>'.$title.'</h5><span>'.$button.'</span><img src="'.$image.'" /></a><figcaption></figcaption>
								</figure></div>';
	}
add_shortcode('project','custom_client');

// Shortcode promobox
/* [promobox bgcolor="#f7f7f7" titlecolor="" color="" buttonbgcolor="" buttoncolor="" promotitle="title" button="Hello Text" url="#"]Description[/promobox] */
function promobox($atts, $content = null){
	extract( shortcode_atts(array(
		'bgcolor'  => '',
		'button'  => '',
		'promotitle'  => '',
		'titlecolor'  => '',
		'color'  => '',
		'buttonbgcolor'  => '',
		'buttoncolor'  => '',
		'url'  => 'url',
	), $atts));
	return '
			<div class="promo-box" style="background-color:'.$bgcolor.'; color:'.$color.';">
			<div class="promo-left">
				'.( ($promotitle!='') ? '<h3 style="color:'.$titlecolor.';">'.$promotitle.'</h3>' : '' ).'
				'.$content.'
			</div>
				'.( ($button!='') ? '
			<div class="promo-right">
			<div class="morebutton" style="'.( ($buttonbgcolor!='') ? 'background-color:'.$buttonbgcolor.';' : '' ).'">
			<a href="'.$url.'" style="'.( ($buttoncolor!='') ? 'color:'.$buttoncolor.' !important;' : '' ).'">'.$button.'</a></div>
			</div>
			' : '' ).'
			<div class="clear"></div>
			</div>	
		';
	}
add_shortcode('promobox','promobox');

define('GRACE_THEME_DOC','https://gracethemes.com/documentation/personal-doc/');


// Shortcode promobox
/* [customlink image="" title="" link="#"]*/
function customlink_fun($atts, $content = null){
	extract( shortcode_atts(array(
		'image'  => '',
		'title'  => '',
		'titlecolor'  => '',
		'titlebgcolor'  => '',
		'link'  => '',
	), $atts));
	return '
			<div class="customlink-box">
				<a href="'.$link.'">
				<div class="customlink-thumb">
					'.( ($image!='') ? '<img src="'.$image.'" alt="'.$title.'" />' : '' ).'
					'.( ($title!='') ? '<div class="customlink-title" style="color:'.$titlecolor.'; background:'.$titlebgcolor.';">'.$title.'</div>' : '' ).'
				</div>
				</a>
 			</div>	
		';
	}
add_shortcode('customlink','customlink_fun');


//[area-seprater][/area-seprater]
function row_func_area($atts,$content = null){
		return '<div class="row-width">'.do_shortcode($content).'<div class="clear"></div></div>';
	}
add_shortcode('area-seprater','row_func_area');

//	Sidebar Shortcode[left_content]#[/content_area]
function left_content_area($atts,$content = null){
		return '<div class="contentLeftarea">'.do_shortcode($content).'</div>';
	}
add_shortcode('left_content','left_content_area');

//	Sidebar Shortcode[sidebar_area]#[/sidebar_area]
function sidebar_area($atts,$content = null){
		return '<div class="homesidebar">'.do_shortcode($content).'</div>';
	}
add_shortcode('sidebar_area','sidebar_area');

// [popularcat catname="Fashion"]<img src="#" />[/popularcat]
function popularcat_func( $atts, $content ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'buttontext' => '',
		'buttonbgcolor' => '',
	), $atts ) );
	$popularcat = '';		
	$args = array( 'posts_per_page'=>1, 'category_name' => $catname);
	query_posts( $args );
	if ( have_posts() ) {
		while ( have_posts() ) { 
			the_post();			 
			$categories = get_the_category();
			$popularcat .= '<div class="popularcatname">';
			$popularcat .= ''.$content.'';
			$popularcat .= ''.get_the_post_thumbnail().'';
			$popularcat .= '<div class="catnamecenter" style="color:'.$buttontext.'; background:'.$buttonbgcolor.'; "><a href="' . esc_url( get_category_link( $categories[0]->term_id ) ) . '">' . esc_html( $categories[0]->name ) . '</a></div>';
			$popularcat .= '</div>';
		}
	}else{
		$popularcat .= ' Sorry! no category add here';
	}
	wp_reset_query();
    return $popularcat;
}
add_shortcode( 'popularcat', 'popularcat_func' );
//Function end



// [largfullpost catname="Fashion" showposts="1" cattitle="" titlecolor="" cattitlecolor=""]
function largfullpost_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',	
		'excerptlength' => '',
		'readmore' => '',
	), $atts ) );
	$bposts = '';		
	query_posts(  array( 'posts_per_page'=>$showposts, 'category_name' => $catname, 'post__not_in' => get_option('sticky_posts') )  );	 
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			the_post();
			$categories = get_the_category();
			$bposts .= '<div class="largfullpost">';
			$bposts .= '<div class="largfullpost-thumb"><a href="'.get_permalink().'" title="'.get_the_title().'">'.get_the_post_thumbnail().'</a></div>';
			$bposts .= '<a href="'.get_permalink().'" title="'.get_the_title().'"><h3>'.get_the_title().'</h3></a>';
			$bposts .= '<span class="spancentertitle"><a href="' . esc_url( get_category_link( $categories[0]->term_id ) ) . '">' . esc_html( $categories[0]->name ) . '</a> &nbsp;  |  &nbsp;'.get_the_date().'</span><div class="clear"></div>';

			$bposts .= '<div class="large-post-content"><p>'.wp_trim_words( get_the_content(), $excerptlength, '' ).'</p></div>';
			$bposts .= '<div class="PostMeta">';
			$bposts .= '<span class="spanleft">Posted By: <a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'">'.get_the_author().'</a></span>';
			$bposts .= ''.( ($readmore!='') ? '<a href="'.get_the_permalink().'"><span class="spancenter">'.$readmore.'</span></a>' : '' ).'';
			$bposts .= '<span class="spanright"><a href="'.get_comments_link().'">'.get_comments_number().' Comments</a></span> ';            $bposts .= '</div>';
			$bposts .= '</div>';
		}
	}else{
		$bposts .= 'Sorry! No post here';
	}
	wp_reset_query();
	$bposts .= '';
    return $bposts;
}
add_shortcode( 'largfullpost', 'largfullpost_func' );
//Single Larg Full Post End


// [largfullpost2 catname="Fashion" showposts="1" cattitle="" titlecolor="" cattitlecolor=""]
function largfullpost2_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',	
		'excerptlength' => '',
		'readmore' => '',
	), $atts ) );
	$bposts2 = '';		
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			the_post();
			$categories = get_the_category();
			$bposts2 .= '<div class="largfullpost2">';
			if ( has_post_thumbnail()) {	
				$bposts2 .= '
				<div class="largfullpost2_thumb">
						'.get_the_post_thumbnail().'
					<span class="spancentertitle"><a href="' . esc_url( get_category_link( $categories[0]->term_id ) ) . '">' . esc_html( $categories[0]->name ) . '</a> &nbsp; | &nbsp; '.get_the_date().'</span>
				</div>';
			}
			$bposts2 .= '<a href="'.get_permalink().'" title="'.get_the_title().'"><h5>'.get_the_title().'</h5></a>';
			$bposts2 .= '<div class="large-post-content"><p>'.wp_trim_words( get_the_content(), $excerptlength, '' ).'</p></div>';
			$bposts2 .= '<div class="PostMeta">';
			$bposts2 .= '<span class="spanleft">Posted By: <a href="'.get_author_posts_url( get_the_author_meta( 'ID' ) ).'">'.get_the_author().'</a></span>';
			$bposts2 .= ''.( ($readmore!='') ? '<span class="spanright"><a href="'.get_the_permalink().'">'.$readmore.'</a></span>' : '' ).'';
			$bposts2 .= '</div></div>';
			$bposts2 .= ''.(($n%2==0) ? '<div class="clear"></div>' : '');	
		}
	}else{
		$bposts2 .= 'Post is empty';
	}
	wp_reset_query();
    return $bposts2;
}
add_shortcode( 'largfullpost2', 'largfullpost2_func' );
//Single Larg Full Post End



//About Author [aboutauthor abouttitle="" aboutdesc="" aboutread="" aboutreadlink="#" target="self" titlecolor="#373636" titlebdcolor="#ebebeb" titlebdbotcolor="#f785ad" ]<img src="" />[/aboutauthor]
function about_charm_area($atts, $content = null){
 extract(shortcode_atts(array(
			'abouttitle' => 'title',
			'aboutdesc'  => '',
			'aboutread'  => '',
			'aboutreadlink'  => '',
			'titlecolor'  => '',
			'image'  => '',
		 ), $atts ) );
		return '
		<div class="aboutauthor">
			'.( ($abouttitle!='') ? '<div class="abouttitle" style="color:'.$titlecolor.';">'.$abouttitle.'</div>' : '' ).'
			'.( ($content!='') ? '<div class="aboutcontentbx">'.do_shortcode($content).'</div>' : '' ).'
			'.( ($image!='') ? '<div class="aboutimage"><img src="'.$image.'"/></div>' : '' ).'
			'.( ($aboutdesc!='') ? '<div class="aboutdesc">'.$aboutdesc.'</div>' : '' ).'
			'.( ($aboutread!='') ? '<a href="'.$aboutreadlink.'"><div class="aboutread">'.$aboutread.'</div></a>' : '' ).'
		</div>
';
}
add_shortcode('aboutauthor','about_charm_area');
// About Author End



// Sidebar Post [sidebarpost catname="Fashion" showposts="1" cattitle="" titlecolor="" cattitlecolor=""]
function sidebarpost_func( $atts ) {
  extract( shortcode_atts( array(
		'catname' => '',
		'showposts' => '',	
		'sidecontlength' => '',
		'readmore' => '',
	), $atts ) );
	$sidebarposts = '';		
	$args = array( 'category_name' => $catname, 'posts_per_page' => $showposts, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			$n++;
			the_post();
			$categories = get_the_category();
			$sidebarposts .= '<div class="sidebarpost">';
			if ( has_post_thumbnail()) {
			$sidebarposts .= '<div class="sidepost_thumb"><a href="'.get_permalink().'" title="'.get_the_title().'">'.get_the_post_thumbnail().'</a></div>';
			}
			$sidebarposts .= '<a href="'.get_permalink().'" title="'.get_the_title().'"><strong>'.get_the_title().'</strong></a>';
			$sidebarposts .= '<div class="side-post-content"><p>'.wp_trim_words( get_the_content(), $sidecontlength, '' ).'</p></div>';
			$sidebarposts .= '</div>';
			$sidebarposts .= ''.(($n%1==0) ? '<div class="clear"></div>' : '');	
		}
	}else{
		$sidebarposts .= 'Post is empty.';
	}
	wp_reset_query();
    return $sidebarposts;
}
add_shortcode( 'sidebarpost', 'sidebarpost_func' );
//Sidebar Post End

// [post_category_count]
function count_post_category(){
      $args = array(
      'orderby'            => 'name',
      'order'              => 'ASC',
      'style'              => 'list',
      'show_count'         => 1,
      'hide_empty'         => 1,
      'title_li'           => __( '' ),
      'show_option_none'   => __( '' ),
      'echo'               => 0,
      'pad_counts'         => 1,
      'taxonomy'           => 'category',
        );
		$variable = '<ul class="sidebar-list">'.wp_list_categories($args).'</ul>';
        $variable = str_replace('(', '<span class="count">(', $variable);
        $variable = str_replace(')', ')</span>', $variable);
        return $variable;
      return wp_list_categories( $args );
    }
add_shortcode('post_category_count', 'count_post_category');

// Archive Shortcode [archives show="5"]
function my_archives($params, $content = null) {
	extract(shortcode_atts(array( 
	'show' => '',
	), $params)); ob_start(); ?>
	<ul><?php wp_get_archives( array( 'type' => 'monthly', 'limit' => $show ) ); ?></ul>
<?php return ob_get_clean(); 
}
add_shortcode('archives','my_archives');
 

//[whats_hot_slider][/whats_hot_slider]
function whats_hot_slider($atts,$content = null){
  return '<div class="whatsnew-carousel">'.do_shortcode($content).'</div>';
 }
add_shortcode('whats_hot_slider','whats_hot_slider');

//whats hot
function whats_hot_fun($atts, $content = null){
	extract(shortcode_atts(array(
			'title' => '',
			'image'  => '',
			'description' => '',
			'link' => '',
		 ),$atts));
		return '
		<div class="whats_hot">
			'.( ($image!='') ? '<div class="whats_hot_thumb"><a href="'.$link.'"><img src="'.$image.'" /></a></div>' : '').'
			'.( ($title!='') ? '<a href="'.$link.'"><h4>'.$title.'</h4></a>' : '').'
			<p>'.$description.'</p>
		</div>
	';
}
add_shortcode('whats_hot','whats_hot_fun');
