<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package Wide Range
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="SKYPE_TOOLBAR" content="SKYPE_TOOLBAR_PARSER_COMPATIBLE">
<meta name="viewport" content="width=device-width">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<!--[if lt IE 9]>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/ie.css" type="text/css" media="all" />
<![endif]-->
<?php 
$slAr = array();
for ($i=1;$i<11;$i++) {
	if ( of_get_option('slide'.$i, true) != "" ) {
		$imgUrl = of_get_option('slide'.$i, true);
		if ( strlen($imgUrl) > 3 ) $slAr[] = of_get_option('slide'.$i, true);
	}
}
?>
<?php 
	wp_head(); 
	$themename = wp_get_theme();
	$themename = preg_replace("/\W/", "_", strtolower($themename) );
	if( !get_option( $themename ) ) {
	require get_template_directory() . '/index-default.php';
	exit;
	}
?>
</head>

<body id="top" <?php body_class(); ?>>
<?php
$front_page = get_option('page_on_front');
$post_page = get_option('page_for_posts');
?>
<div class="sitewrapper">
<?php do_action( 'before' ); ?>
<?php if( (is_front_page() || is_home() ) && ($front_page == 0 && $post_page == 0) ){ ?>
		<?php if( count($slAr) > 0 ){ ?>
            <div class="sliderwrap">	
                <div class="slider-wrapper theme-default <?php if( is_front_page() || is_home()  ){ echo 'home_front_wrap_main'; } ?>">                   
                   
                    <div id="thumb-tray" class="load-item">
                        <div id="thumb-back"></div>
                        <div id="thumb-forward"></div>
                    </div>
                    <div id="progress-back" class="load-item">
                        <div id="progress-bar"></div>
                    </div><!--progress Bar-->
					<div id="slidecaption"></div><!--Slide captions displayed here-->
                    <?php if( of_get_option('controlhide') != true) { ?>
                    <div id="controls-wrapper" class="load-item">
                        <div id="controls">
                            <a id="play-button"><img id="pauseplay" src="<?php echo get_template_directory_uri();?>/images/img/pause.png"/></a>                           
                            <a id="prevslide" class="load-item"></a>
                            <a id="nextslide" class="load-item"></a>
                            <div id="slidecounter">
                                <span class="slidenumber"></span> / <span class="totalslides"></span>
                            </div><!--Slide counter-->
                        </div>
                    </div><!--Control Bar-->
				<?php } ?>
                </div><!--.container-->	
            </div><!--.sliderwrap-->
        <?php } ?>
	<?php } ?>
<div id="sitewrap">
	<div class="menuleft">
     <div class="menupanelbg">
      <div class="logo">
        <?php if( of_get_option( 'logo', true ) != '' ) { ; ?>
               <a href="<?php echo home_url('/'); ?>"><img src="<?php echo esc_url( of_get_option( 'logo', true )); ?>" / ></a>               
            <?php } ?>
            <?php $hidettldesc = of_get_option('hide_titledesc', '1'); ?>
				<?php if($hidettldesc == ''){ ?>
                <div class="site-branding-text">
                  <a href="<?php echo esc_url(home_url('/')); ?>"><h1><?php bloginfo('name'); ?></h1></a>
                  <span class="tagline"><?php bloginfo( 'description' ); ?></span>
               </div> 
             <?php } ?>
    </div><!-- .logo --> 
    <div class="menushowhide">                
    <div class="menufixedleft">  
      <div class="toggle">
    	<a class="toggleMenu" href="#">&nbsp;</a>
      </div><!-- toggle -->
    <div class="sitenav">                   
   	 <?php wp_nav_menu( array('theme_location' => 'primary') ); ?>   
    </div><!--.sitenav --> 
    </div><!--menufixedleft--> 
  </div><!-- .menushowhide-->
    
     <?php if( of_get_option('disablesocialstrip', true) == '' ) { ?>   
        <?php if( of_get_option('headersocial') != '' ){ echo do_shortcode( of_get_option('headersocial', true ));} ?>
    <?php } ?> 
    
   </div><!-- .menupanelbg--> 
    <div class="menu-bottom">
       <div id="menu-bottom-shape"></div><!-- menu-bottom-shape-->
    </div><!-- menu-bottom -->
 <div class="clear"></div>
 
</div><!-- .menuleft--> 